### Home Classes Methods

### In Files

- lib/highline/system_extensions.rb

### Methods

- ::GetConsoleScreenBufferInfo
- ::GetStdHandle
- ::_getch

### Included Modules

- Fiddle

### Files

- CHANGELOG
- INSTALL
- LICENSE
- README.rdoc
- TODO

### Class/Module Index

Quicksearch

- HighLine
- HighLine::ColorScheme
- HighLine::HighLine
- HighLine::HighLine::HighLine
- HighLine::HighLine::HighLine::String
- HighLine::Menu
- HighLine::Question
- HighLine::Question::NoAutoCompleteMatch
- HighLine::QuestionError
- HighLine::SampleColorScheme
- HighLine::Simulate
- HighLine::StringExtensions
- HighLine::Style
- HighLine::SystemExtensions
- HighLine::SystemExtensions::WinAPI
- IO
- Kernel
- Object
- String
- StringIO

No matching classes.

# HighLine::SystemExtensions::WinAPI

### Constants

Crt
Handle
Kernel32

### Public Class Methods

GetConsoleScreenBufferInfo(cons_handle, lp_buffer) click to toggle source

    # File lib/highline/system_extensions.rb, line 73
    def self.GetConsoleScreenBufferInfo(cons_handle, lp_buffer)
      @@get_console_screen_buffer_info ||=
        Function.new(Kernel32["GetConsoleScreenBufferInfo"], [TYPE_LONG, TYPE_VOIDP], TYPE_INT)
      @@get_console_screen_buffer_info.call(cons_handle, lp_buffer)
    end

GetStdHandle(handle_type) click to toggle source

    # File lib/highline/system_extensions.rb, line 68
    def self.GetStdHandle(handle_type)
      @@get_std_handle ||= Function.new(Kernel32["GetStdHandle"], [-TYPE_INT], -TYPE_INT)
      @@get_std_handle.call(handle_type)
    end

_getch() click to toggle source

    # File lib/highline/system_extensions.rb, line 63
    def self._getch
      @@_m_getch ||= Function.new(Crt["_getch"], [], TYPE_INT)
      @@_m_getch.call
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.